import { Observable } from 'rxjs';
import { HighlightOptions, HighlightResult } from './highlight.model';
export declare class HighlightJS {
    private _document;
    hljs: any;
    options: HighlightOptions;
    private _isReady$;
    readonly isReady: Observable<boolean>;
    constructor(options: HighlightOptions, _document: any);
    highlight(name: string, value: string, ignore_illegals: boolean, continuation?: any): HighlightResult;
    highlightAuto(value: string, languageSubset: string[]): HighlightResult;
    fixMarkup(value: string): string;
    highlightBlock(block: HTMLElement): void;
    configure(options: HighlightOptions): void;
    initHighlighting(): void;
    initHighlightingOnLoad(): void;
    registerLanguage(name: string, language: Function): void;
    listLanguages(): string[];
    getLanguage(name: string): any;
    private _hljsLoader;
    /**
     * Load hljs script
     */
    private _loadScript;
    /**
     * Load hljs theme
     */
    private _themeLoader;
    /**
     * Initialize hljs on load
     */
    private _initHljs;
}
